Functions
Functions
Peripheral Driver » LL Driver » CLK
Collaboration diagram for Functions:

## Functions
__STATIC_INLINE uint32_t | ll_clk_get_sys_clk (void)
| Get system clock. More...
__STATIC_INLINE void | ll_clk_set_sys_clk (uint32_t clk_sel)
| Set system clock. More...
__STATIC_INLINE void | ll_clk_set_aon_clk_wakeup_clk_en (uint32_t wakeup_clk_en)
| set AON_CTL_AON_CLK_WAKUP_CLK_EN bit More...
__STATIC_INLINE void | ll_clk_select_source (uint32_t src_sel)
| Select clock source. More...
__STATIC_INLINE void | ll_clk_select_fast_wakeup_source (uint32_t src_sel)
| Select clock source. More...
__STATIC_INLINE void | ll_clk_start_xo_pll (void)
| start XO and PLL More...
__STATIC_INLINE void | ll_clk_stop_xo_pll (void)
| stop XO and PLL More...
__STATIC_INLINE uint32_t | ll_clk_get_hf_status (void)
| Get XO PLL status. More...

## Detailed Description

## Function Documentation

## ◆ ll_clk_get_hf_status()

__STATIC_INLINE uint32_t ll_clk_get_hf_status | ( | void |  | ) |

Get XO PLL status.

Register | BitsName
--- | ---
AON_PWR | XO_PLL_STAT

Return values

  xo | pll status value.

Definition at line 243 of file gr55xx_ll_clk.h.

## ◆ ll_clk_get_sys_clk()

__STATIC_INLINE uint32_t ll_clk_get_sys_clk | ( | void |  | ) |

Get system clock.

Register | BitsName
--- | ---
MCU_CLK_CTRL | CLK_CTRL_SEL

Return values

  None |

Definition at line 123 of file gr55xx_ll_clk.h.

## ◆ ll_clk_select_fast_wakeup_source()

__STATIC_INLINE void ll_clk_select_fast_wakeup_source | ( | uint32_t | src_sel | ) |

Select clock source.

Register | BitsName
--- | ---
AON_CLK | WAKUP_FAST_CLK_SEL

Parameters

  src_sel | This parameter can be a combination of the following values: LL_CLK_SEL_SOURCE_CPLL_CLK LL_CLK_SEL_SOURCE_HF_OSC_CLK

Definition at line 198 of file gr55xx_ll_clk.h.

## ◆ ll_clk_select_source()

__STATIC_INLINE void ll_clk_select_source | ( | uint32_t | src_sel | ) |

Select clock source.

Register | BitsName
--- | ---
AON_CLK | CAL_FST_CLK

Parameters

  src_sel | This parameter can be a combination of the following values: LL_CLK_SEL_SOURCE_CPLL_CLK LL_CLK_SEL_SOURCE_HF_OSC_CLK

Definition at line 180 of file gr55xx_ll_clk.h.

## ◆ ll_clk_set_aon_clk_wakeup_clk_en()

__STATIC_INLINE void ll_clk_set_aon_clk_wakeup_clk_en | ( | uint32_t | wakeup_clk_en | ) |

set AON_CTL_AON_CLK_WAKUP_CLK_EN bit

Register | BitsName
--- | ---
AON_CLK | AON_CTL_AON_CLK_WAKUP_CLK_EN

Parameters

  wakeup_clk_en | This parameter can be a combination of the following values: LL_CLK_AON_CLK_WAKUP_CLK_EN LL_CLK_AON_CLK_WAKUP_CLK_DIS

Definition at line 164 of file gr55xx_ll_clk.h.

## ◆ ll_clk_set_sys_clk()

__STATIC_INLINE void ll_clk_set_sys_clk | ( | uint32_t | clk_sel | ) |

Set system clock.

Register | BitsName
--- | ---
MCU_CLK_CTRL | CLK_CTRL_SEL

Parameters

  clk_sel | This parameter can be a combination of the following values: LL_CLK_CPLL_S96M_CLK LL_CLK_CPLL_S64M_CLK LL_CLK_XO_S16M_CLK LL_CLK_CPLL_F48M_CLK LL_CLK_CPLL_T24M_CLK LL_CLK_CPLL_S16M_CLK LL_CLK_CPLL_T32M_CLK

Definition at line 145 of file gr55xx_ll_clk.h.

## ◆ ll_clk_start_xo_pll()

__STATIC_INLINE void ll_clk_start_xo_pll | ( | void |  | ) |

start XO and PLL

Register | BitsName
--- | ---
AON_PWR | XO_PLL_SET

Return values

  void. |

Definition at line 213 of file gr55xx_ll_clk.h.

## ◆ ll_clk_stop_xo_pll()

__STATIC_INLINE void ll_clk_stop_xo_pll | ( | void |  | ) |

stop XO and PLL

Register | BitsName
--- | ---
AON_PWR | XO_PLL_CLR

Return values

  void. |

Definition at line 228 of file gr55xx_ll_clk.h.